/*
 * ===========================
 * VDK Builder
 * Version 0.1
 * Revision 0.2
 * May 1999
 * ===========================
 *
 * Copyright (C) 1998,1999 Mario Motta
 * Developed by Mario Motta <mmotta@guest.net>
 *
 * Based on VDK Library 
 * Copyright (C) 1998, Mario Motta
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 */
/*
vdkb_envdlg 
Main unit header file: vdkb_envdlg.h
*/
#ifndef _vdkb_envdlg_main_form_h_
#define _vdkb_envdlg_main_form_h_
#include <vdk/vdk.h>
#include <config.h>
#include <vdkb/colorcombo.h>
#include <vdkb/vdkeditor.h>
// Vdkb_envdlg FORM  CLASS
class Vdkb_envdlgForm: public VDKForm
{
// gui object declarations
private:
// vdkbuilder reserved gui construction
	void GUISetup(void);
	void WriteSyntaxSampleText();
	void SaveEnvironment();
public:
	bool Changed;
	Vdkb_envdlgForm(VDKForm* owner, char* title);
	~Vdkb_envdlgForm();
	void Setup(void);
	void OnShow(VDKForm*);
	bool CanClose();
	bool OnRealizeSampleText(VDKObject*);
	bool OnEditorFgButtonClicked(VDKObject* sender);
	bool OnEditorBgButtonClicked(VDKObject* sender);

	bool OnSyntaxColorsComboClicked(VDKObject* sender);
	bool OnTimedAutosaveSpinButtonChanged(VDKObject* sender);
	bool OnBackupCheck(VDKObject* sender);
	bool OnSetEditorTab(VDKObject* sender);
/*
 gui setup include 
 do not patch below here
*/
#include <vdkb/vdkb_envdlg_gui.h>
};
#endif
